summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000000..1c9299ae17
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+working_tree_root="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+echo "Running init-tools.sh"
+$working_tree_root/init-tools.sh
+
+toolRuntime=$working_tree_root/Tools
+dotnet=$toolRuntime/dotnetcli/dotnet
+
+echo "Running: $dotnet $toolRuntime/run.exe $*"
+$dotnet $toolRuntime/run.exe $*
+if [ $? -ne 0 ]
+then
+ echo "ERROR: An error occured in $dotnet $toolRuntime/run $#. Check $# logs under $working_tree_root."
+ exit 1
+fi
+
+echo "Command successfully completed."
+exit 0